# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Bloc Class Reference
Inheritance diagram for Bloc:

## Public Member Functions
| Bloc (const std::string &blocName, Position pos=Node::NONE, Node *parent=NULL)
| creates a new bloc. More...
Public Member Functions inherited from Node
const std::string & | getName () const
| returns the name of the node.
Node * | getParent ()
| returns the parent node of the current node.
Position | getPosition () const
| returns the position of the node.
Node * | getRight ()
| returns the child node at the right of the current node.
Node * | getTop ()
| returns the child node at the top of the current node.
bool | isRoot ()
| returns tru if the node is the root of the tree (has no parent).
void | setRight (Node *)
| sets the child node at the right of the current node. More...
void | setTop (Node *)
| sets the node at the top of the current node. More...

## Detailed Description

This class describes a bloc of the placement tree.

## Constructor & Destructor Documentation

## ◆ Bloc()

Bloc | ( | const std::string & | blocName,
|  | Position | pos = `Node::NONE`,
|  | Node * | parent = `NULL`
| ) |  |

creates a new bloc.

Parameters

  blocName | the name of the bloc
  position | the position of the bloc (default value: NONE)
  parent | the parent node of the node (default value: NULL)

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved